from edps import classification_rule

from . import iiinstrument_keywords as kwd

# Raw classification rules
rrrecipe_calib_docatg_raw_class = classification_rule('RRRECIPE_CALIB_DOCATG_RAW',
                                                      {kwd.dpr_catg: 'CALIB', kwd.dpr_tech: 'IMAGE',
                                                       kwd.dpr_type: 'STD'})

rrrecipe_docatg_raw_class = classification_rule('RRRECIPE_DOCATG_RAW',
                                                {kwd.dpr_catg: 'SCIENCE', kwd.dpr_type: 'OBJECT'})

# Product classification rules
line_intmon_table_class = classification_rule('LINE_INTMON_TABLE')
img_calibrated = classification_rule('IMG_CALIBRATED')
