from edps.generator.task_builder import task

from .iiinstrument_datasources import *

# Tasks
calib_img = (task('calib_img')
             .with_recipe('rrrecipe_calib')
             .with_main_input(rrrecipe_calib_docatg_raw)
             .build())

combine_img = (task('combine_img')
               .with_recipe('rrrecipe')
               .with_main_input(rrrecipe_docatg_raw)
               .with_associated_input(calib_img, [img_calibrated])
               .with_associated_input(line_intmon_table)
               .build())
